#include <stdio.h>
#include <stdlib.h>
#include "generate.h"

int main()
{
  freopen("21", "wt", stdout);
  srand(345); 

  zprintf("1000 3 9\n");

  while (wc < 900)
  {
    int t = rand() & 7;
    switch (t)
    {
    case 0:
      printspaces(false);
      printrands(1 + rand() % 10);
      break;      
    case 1:
      printspaces(false);
      printrands(1 + rand() % 100);
      break;      
    case 2:
    case 3:
      outimage1(true, 1 + rand() % 50, 50 + rand() % 50, false);
      break;
    case 4:
    case 5:
      outimage1(true, 1 + rand() % 5, 50 + rand() % 50, false);
      break;
    case 6:
      outimage1(false, 1 + rand() % 1000, 1 + rand() % 10, false);
      break;
    case 7:
      outimage1(false, 1 + rand() % 150, 1 + rand() % 10, false);
      break;
    }
  } 
  printf("\n");

  return 0;
}